Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » EGL Development Tools » Dojo Widget Error in Using Handler(Issue with Dojo Widget)
Dojo Widget Error in Using Handler [message #810478] Thu, 01 March 2012 01:24 Go to next message
Karthik Sevugarathinam is currently offline Karthik Sevugarathinam
Messages: 17
Registered: February 2012
Junior Member
Hi,

I am getting an error while i am trying to preview my handler. The error is "application cannot load google runtime environment", i have tried verifying my net connection and also the path Webcontent includeDojo.Html and i do not see any difference. I have attached the error for your reference. Please help me with your comments. Thanks

Regards,
Karthikindex.php/fa/7359/0/
Re: Dojo Widget Error in Using Handler [message #810489 is a reply to message #810478] Thu, 01 March 2012 01:41 Go to previous messageGo to next message
fahua jin is currently offline fahua jin
Messages: 58
Registered: July 2011
Member
Hi Karthik,

2 options to resolve your problem,

1) Request a Google API key, and modify config/includeDojo.html as stated in the screen-shot you attached.
2) Import the Dojo local project, and change the EGL project reference to the local Dojo project (Right click your EDT project > Properties > EGL Build Path > Projects tab > uncheck the remote dojo project reference, and add the local dojo project reference.

To import the dojo local project, you can start the EGL project creation wizard. Choose either 'client' or 'client with services' template in the 1st page of wizard. In the 2nd page, choose the '0.7.0 (Dojo 1.6.1)' for the 'Dojo Widget' - the default is dojo remote project.
Re: Dojo Widget Error in Using Handler [message #810663 is a reply to message #810489] Thu, 01 March 2012 06:53 Go to previous messageGo to next message
Karthik Sevugarathinam is currently offline Karthik Sevugarathinam
Messages: 17
Registered: February 2012
Junior Member
Thanks , i got them fixed using option 2.
Re: Dojo Widget Error in Using Handler [message #811133 is a reply to message #810663] Thu, 01 March 2012 19:46 Go to previous message
fahua jin is currently offline fahua jin
Messages: 58
Registered: July 2011
Member
Great to see the 2nd option works for you.

In our current plan, we're going to fix this problem without letting user to apply the Google API key. You can refer to https://bugs.eclipse.org/bugs/show_bug.cgi?id=363959 for more detail. It's expected to be included in 0.8.
Previous Topic:Cannot use GET with FROM clause within FOREACH
Next Topic:EGL EDT V 0.8.0 M2
Goto Forum:
  


Current Time: Tue Jul 29 13:08:23 EDT 2014

Powered by FUDForum. Page generated in 0.02169 seconds